{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Launch main.ts",
            "type": "node",
            "request": "launch",
            //"runtimeArgs": ["-r", "ts-node/register"], // cf. https://github.com/Microsoft/vscode/issues/47860
            "program": "${workspaceFolder}/src/main/typescript/main.ts",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "preLaunchTask": "tsc build",
            "outFiles": [
                "${workspaceFolder}/out/**/*.js"
            ],
            //"console": "integratedTerminal" // cf. https://github.com/Microsoft/vscode/issues/47860
        }
    ]
}